# Standard library header <csetjmp>

From cppreference.com
< cpp‎ | header

This header was originally in the C standard library as `<setjmp.h>`.

This header is part of the program support library.

### Types

jmp_buf | execution context type (typedef)

### Macros

setjmp | saves the context (function macro)

### Functions

longjmp | jumps to specified location (function)

### Synopsis

    namespace std {
      using jmp_buf = /* see description */ ;
      [[noreturn]] void longjmp(jmp_buf env, int val);
    }
    #define setjmp(env) /* see description */

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/header/csetjmp&oldid=88770"